resources:
  App\Entity\Membership:
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'membership:read'

    denormalizationContext:
      groups:
        - 'membership:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'membership.order_filter', 'membership.search_filter', 'membership.global_search_filter' ]
        openapiContext:
          summary: Membership - List.
          description: >
            Retrieves a list of Membership

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: Membership - Item.
          description: >
            Retrieves a item of Membership

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: Membership - Create.
          description: >
            create an item of Membership

      ApiPlatform\Metadata\Put:
        openapiContext:
          summary: Membership - Update.
          description: >
            update an item of Membership

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: Membership - Delete.
          description: >
            delete an item of Membership
